Bug 34749 - FORMATTING: Text field character formatting reset while undo
Summary: FORMATTING: Text field character formatting reset while undo
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Draw
  Show dependency treegraph
 
Reported: 2011-02-26 01:34 UTC by sasha.libreoffice
Modified: 2019-06-23 02:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
explains how undo corrupts text (25.89 KB, application/vnd.oasis.opendocument.presentation)
2011-02-26 01:34 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-26 01:34:59 UTC
Created attachment 43847 [details]
explains how undo corrupts text

To demonstrate this problem I have created some text in presentation, selected part of text and changed font size and color.
All explanation in attachment.
Bug reproduced on Linux 32 and 64 and Windows 32.
Comment 1 Philipp Weissenbacher 2011-02-26 06:40:56 UTC
Good catch, I'd say!
I can confirm this on x86.
Comment 2 Rainer Bielefeld Retired 2011-03-01 08:05:06 UTC
[Reproducible] with reporter's sample document and "LibreOffice 3.3.1  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (build 8 / tag 3.3.1.2)]", but not with my own sample documents. 

The effect seems to be independent to the way of undo, appears also using the undo icon.

I doubt that that is a particular Presentation problem, but a text filed problem.
If I copy the subtitle text field from sample document to a WRITER document, I can reproduce the reported problem, but I failed to create an own document / text field to reproduce the problem.

@sasha:
Can you contribute a description how to reproduce the problem with a blank new document "from the scratch"?
Comment 3 Cédric Bosdonnat 2011-03-01 08:39:03 UTC
I would say the bug is somewhere in the editengine. This is happening only on some kind of objects. Thorsten, could you have a look at this one?
Comment 4 sasha.libreoffice 2011-03-01 23:59:23 UTC
1. Create new presentation document
in top of slide appears frame with "Click to add title"
2. enter there two string of text
3. select one of them and change attributes of text

4. make round corners and undo then
As I can understand, office unites changing round corners with previous change.
if there are another something to undo, it undoes correctly
Comment 5 Rainer Bielefeld Retired 2011-03-02 00:20:24 UTC
No we have got it, I am able to reproduce the problem with my own doucments. It seems to be important that a part of the text frame contents remains in default style.

Steps how I reproduced:
1. Open new WRITER document
2. Insert DRAW text field (using DRAWing Toolbar) app. 100x20mm
3. Type "This is some text"
4. Dobleclick "This"
5. Menu 'Format character
   Times New Roman -> Impact - Bold - Font color light red'
6. Make round corners
7. click outside text field
8. Click 'Undo' icon
   expected: only round corners will be undone
   actual: complete text back to standard formatting: 
           "Times New Roman without frills"

Unexpected actual behavior will not happen in step 8 if in step 5 you change attributes for all text field contents after <cntrl>+<a>

Because we are talking about a DRAWing component, I modify Component


@sasha:
Thank you for your endurance.

@Thorsten:
Please feel free to reassign if it's not your field.
Comment 6 sasha.libreoffice 2012-09-17 11:47:36 UTC
in 3.6.1 still reproducible
Comment 7 Thorsten Behrens (CIB) 2013-09-12 16:14:46 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 8 bfoman (inactive) 2014-02-20 18:13:47 UTC Comment hidden (obsolete)
Comment 9 Joel Madero 2015-05-02 15:41:15 UTC Comment hidden (obsolete)
Comment 10 Buovjaga 2015-06-20 12:27:38 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 11 MarjaE 2015-07-07 23:46:39 UTC
Reproduced.

Since "select all" doesn't normally allow me to edit all the text on one page in Draw, I've started using "select all" and this bug to edit all the text in Draw.
Comment 12 MarjaE 2015-07-07 23:48:16 UTC
Oh, I'm currently using 4.3.6, so not currently supported. Sorry.
Comment 13 Heiko Tietze 2016-06-14 14:41:15 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2017-09-01 11:15:25 UTC Comment hidden (obsolete)
Comment 15 Roman Kuznetsov 2018-06-22 12:50:09 UTC
still repro in 6.1 beta 2
Comment 16 QA Administrators 2019-06-23 02:52:26 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug